using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using Datory;

namespace GxPress.Repository.Interface.WorkFlow
{
    public interface IFlowCarbonCopyRepository : IRepository
    {
        Task<int> InsertAsync(FlowCarbonCopy item);

        Task<IEnumerable<FlowCarbonCopy>> GetListAsync(int flowId);

        Task<bool> DeleteAllAsync(int flowId);
    }
}